<!doctype html>
<html>
<head>
    <title>An update on the censorship in Ethiopia | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="An update on the censorship in Ethiopia | Tor Project">
    <meta property="og:description" content="A few days ago, we published a blog post exposing the use of Deep Packet Inspection (DPI) to...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/update-censorship-ethiopia/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        An update on the censorship in Ethiopia
      </h1>
    <p class="meta">by Runa | June 3, 2012</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>A few days ago, we published a blog post exposing the use of <a href="https://blog.torproject.org/blog/ethiopia-introduces-deep-packet-inspection" rel="nofollow">Deep Packet Inspection (DPI) to filter all Internet traffic in Ethiopia</a>, including connections to the Tor network. We concluded that they are doing some sort of TLS fingerprinting, but had not been able to figure out exactly what they are fingerprinting on. Since then, we have managed to determine exactly how Ethiopia blocks Tor and we have developed a workaround. We will publish a full technical analysis very soon.</p>

<p>The long-term solution for Tor users in Ethiopia is to use the <a href="https://www.torproject.org/projects/obfsproxy" rel="nofollow">Obfsproxy Tor Browser Bundle</a>. The bundles are, unfortunately, not up to date at the moment, but this is something we are working on (see <a href="https://trac.torproject.org/projects/tor/ticket/5937" rel="nofollow">#5937</a> for details). In the meantime, try using one of the following three bridges:</p>

<p>213.138.103.17:443<br />
107.21.149.216:443<br />
46.137.226.203:55440</p>

<p>If the bridges are not working, or you have questions, send an email to <a href="mailto:help@rt.torproject.org" rel="nofollow">help@rt.torproject.org</a>.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-15935"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15935" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
    <a href="#comment-15935">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15935" class="permalink" rel="bookmark">&lt;3</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&lt;3</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16354"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16354" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15935" class="permalink" rel="bookmark">&lt;3</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-16354">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16354" class="permalink" rel="bookmark">oh.. lucky those who can</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>oh.. lucky those who can make a connections on other<br />
country, bad luck here on thousands filipino's here in the philippines<br />
who's relying on tor...<br />
recently 2 of the biggest ISP's blocked Tor<br />
If I;m not mistaken through port 443.. .<br />
even vpn are all blocked.. .<br />
status now here is in back to zero.. .<br />
we' in our community join together in the fights against censorship..<br />
net cost here are so expensive &amp;<br />
I guess in your country the speed that gives to us by the ISP's is just a free..<br />
but in a long run .. failure!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15936"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15936" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
    <a href="#comment-15936">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15936" class="permalink" rel="bookmark">i pinged the first two,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i pinged the first two, nothing was found.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15937"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15937" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  Runa
  </article>
    <div class="comment-header">
      <p class="comment__submitted">Runa said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15936" class="permalink" rel="bookmark">i pinged the first two,</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15937">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15937" class="permalink" rel="bookmark">Define &quot;nothing was found&quot;?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Define "nothing was found"? They are all up and running, but they don't necessarily respond to ping.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15938"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15938" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15936" class="permalink" rel="bookmark">i pinged the first two,</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15938">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15938" class="permalink" rel="bookmark">Try nping.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Try nping. <a href="http://nmap.org/book/nping-man.html" rel="nofollow">http://nmap.org/book/nping-man.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15939"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15939" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
    <a href="#comment-15939">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15939" class="permalink" rel="bookmark">Keep doing the best, Tor.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Keep doing the best, Tor. Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15941"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15941" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
    <a href="#comment-15941">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15941" class="permalink" rel="bookmark">I&#039;m running a bridge node.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm running a bridge node. Should I run an obfsproxy endpoint, too, when the tests have run smoothly?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15942"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15942" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  Runa
  </article>
    <div class="comment-header">
      <p class="comment__submitted">Runa said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15941" class="permalink" rel="bookmark">I&#039;m running a bridge node.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15942">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15942" class="permalink" rel="bookmark">If you can run an Obfsproxy</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you can run an Obfsproxy bridge, please do!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15947"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15947" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
    <a href="#comment-15947">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15947" class="permalink" rel="bookmark">Would it be a good guess</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Would it be a good guess that this is not home-grown Ethiopian blocking technology, and that they're paying some outside firm to do it for them? If so, any chance of identifying and shaming said firm?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15949"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15949" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  Runa
  </article>
    <div class="comment-header">
      <p class="comment__submitted">Runa said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15947" class="permalink" rel="bookmark">Would it be a good guess</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15949">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15949" class="permalink" rel="bookmark">My guess is that they are</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>My guess is that they are only blocking Tor because whatever device (probably from an outside firm) they have came with a block-Tor-plugin.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15953"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15953" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 04, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15947" class="permalink" rel="bookmark">Would it be a good guess</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15953">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15953" class="permalink" rel="bookmark">It&#039;s probably a European</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's probably a European firm, Erricson setup the initial network, ZTE is rolling out new networks, and Orange/France Telecom seem to be running the telecom part of it. <a href="http://www.globaltelecomsbusiness.com/Article/2727063/Sectors/25198/Orange-to-run-Ethiopian-monopoly.html" rel="nofollow">http://www.globaltelecomsbusiness.com/Article/2727063/Sectors/25198/Ora…</a></p>
<p>BTW, blocking sites in Ethiopia is pretty old, net2phone (VoIP) when introduced was already being blocked. It's gotten political, used to be a net neutrality issue.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15954"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15954" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 04, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15953" class="permalink" rel="bookmark">It&#039;s probably a European</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15954">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15954" class="permalink" rel="bookmark">Currently the parliament has</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Currently the parliament has approved a bill that leads to 15 years of imprisonment and 150K ETB (Birr) fine if some one is found using illegal ( As to the law of the government) sites and services. So guys, be serious to what you are using and let others use.<br />
Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15994"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15994" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15947" class="permalink" rel="bookmark">Would it be a good guess</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15994">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15994" class="permalink" rel="bookmark">It&#039;s Chinese. The ethiopian</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's Chinese. The ethiopian government is very close with the chinese government. This relationship has translated into the chinese building infrastructure for the ethiopians while getting certain concessions for their work.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15948"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15948" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
    <a href="#comment-15948">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15948" class="permalink" rel="bookmark">Thank you, tor.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you, tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15957"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15957" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 04, 2012</p>
    </div>
    <a href="#comment-15957">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15957" class="permalink" rel="bookmark">To all of you TOR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>To all of you TOR developers, thank you. You're building up massive karma points squinting into your monitor screens, scratching your heads, and alternatively staring out the window as you figure out all these solutions time and time again. Your work has aided so many people who rely on TOR -- Internet access and participation in social networking activities can have a very profound effect in countries where oppressive governments (their numbers are sadly increasing) want to keep their own citizens in seclusion by restricting the sharing of ideas, information, and community involvement. Facebook loves to bask in the news media glory for things like the 'Arab Spring' social upheavals but most of us know that TOR was the real infrastructure and backbone for Internet access.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15958"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15958" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 04, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15957" class="permalink" rel="bookmark">To all of you TOR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15958">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15958" class="permalink" rel="bookmark">It&#039;s &quot;Tor&quot;, not &quot;TOR&quot;.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's "Tor", not "TOR".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15991"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15991" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15958" class="permalink" rel="bookmark">It&#039;s &quot;Tor&quot;, not &quot;TOR&quot;.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15991">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15991" class="permalink" rel="bookmark">&gt;It&#039;s &quot;Tor&quot;, not &quot;TOR&quot;.
I am</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;It's "Tor", not "TOR".</p>
<p>I am aware that "Tor" is the official form, but why? It is an acronym for The Onion Router and acronyms are properly all-caps.</p>
<p>Clearly, it is for this reason that so few people use the official but idiosyncratic "Tor" over the intuitive "TOR".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16197"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16197" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 15, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15991" class="permalink" rel="bookmark">&gt;It&#039;s &quot;Tor&quot;, not &quot;TOR&quot;.
I am</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-16197">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16197" class="permalink" rel="bookmark">Again, it&#039;s &quot;Tor&quot; not &quot;TOR&quot;.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Again, it's "Tor" not "TOR".  Don't be a hero...help others.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16490"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16490" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 09, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-16197" class="permalink" rel="bookmark">Again, it&#039;s &quot;Tor&quot; not &quot;TOR&quot;.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-16490">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16490" class="permalink" rel="bookmark">Are you suggesting that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are you suggesting that people who use "TOR" and not "Tor" should be censored? Get over it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-15959"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15959" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 04, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15957" class="permalink" rel="bookmark">To all of you TOR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15959">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15959" class="permalink" rel="bookmark">Well spoken. And thank you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well spoken. And thank you Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15974"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15974" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2012</p>
    </div>
    <a href="#comment-15974">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15974" class="permalink" rel="bookmark">update [Obfsproxy Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>update [Obfsproxy Tor Browser] please !!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-16014"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16014" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2012</p>
    </div>
    <a href="#comment-16014">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16014" class="permalink" rel="bookmark">It would be nice eventually</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It would be nice eventually if you pushed an update to ALL of the servers so that they would be Obfsproxy relays, once most of the relays/bridges have been updated then push an update to the desktop clients. If Obfsproxy works so much better to circumvent censorship why not just put it everywhere?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-16083"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16083" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 10, 2012</p>
    </div>
    <a href="#comment-16083">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16083" class="permalink" rel="bookmark">The evil goverment is doing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The evil goverment is doing every thing to keep people in dark rule of his own. It arreset journalst, blogggers and any opposition.  The evil Meles is doing censorship since he can not detain every citizen. Any how he is financed and supported by White House.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-16092"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16092" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 11, 2012</p>
    </div>
    <a href="#comment-16092">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16092" class="permalink" rel="bookmark">I hope the Skype obscure</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I hope the Skype obscure proxy comes out soon. It sounded hard to block. Makes Tor traffic look like Skype traffic.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-16142"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16142" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 13, 2012</p>
    </div>
    <a href="#comment-16142">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16142" class="permalink" rel="bookmark">That would  be extremely</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That would  be extremely easy... block all trafic that looks like skype traffic...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-16167"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16167" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 14, 2012</p>
    </div>
    <a href="#comment-16167">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16167" class="permalink" rel="bookmark">15 years in jail for using</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>15 years in jail for using skype,</p>
<p><a href="http://stream.aljazeera.com/story/ethiopia-skype-me-maybe-0022243" rel="nofollow">http://stream.aljazeera.com/story/ethiopia-skype-me-maybe-0022243</a></p>
<p>HELP!!!!!!!!!!!!!!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16231"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16231" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 17, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-16167" class="permalink" rel="bookmark">15 years in jail for using</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-16231">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16231" class="permalink" rel="bookmark">Don&#039;t use Skype
Tor cannot</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Don't use Skype<br />
Tor cannot help you with that<br />
Stay away from proprietary &amp; closed platform like that...they don't respect your freedom</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-16212"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16212" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 16, 2012</p>
    </div>
    <a href="#comment-16212">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16212" class="permalink" rel="bookmark">Couldn&#039;t figure whether to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Couldn't figure whether to laugh my ass off or sympathize with Ethiopian internet users. I mean how can the government control internet infrastructure as if owned by an individual. If Tor doesnt work anybody in a fic can email me at <a href="mailto:evansrutoh@gmail.com" rel="nofollow">evansrutoh@gmail.com</a> i have a VPN solution that works well its free but don't share too much it will clog up!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16367"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16367" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  Runa
  </article>
    <div class="comment-header">
      <p class="comment__submitted">Runa said:</p>
      <p class="date-time">June 29, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-16212" class="permalink" rel="bookmark">Couldn&#039;t figure whether to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-16367">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16367" class="permalink" rel="bookmark">A VPN will not make the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A VPN will not make the users anonymous. Can't you set up a bridge or relay instead?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-16223"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16223" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 17, 2012</p>
    </div>
    <a href="#comment-16223">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16223" class="permalink" rel="bookmark">спасибо TOR за</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>спасибо TOR за свободу</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-16312"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16312" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 22, 2012</p>
    </div>
    <a href="#comment-16312">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16312" class="permalink" rel="bookmark">Yeah... the Tor bunch rock</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yeah... the Tor bunch rock fo sho.</p>
<p>Are the IP addresses mentioned for bridges long term ?</p>
<p>Many thanks in advance...</p>
<p>Go Tor team ... you rock !</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16355"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16355" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-16312" class="permalink" rel="bookmark">Yeah... the Tor bunch rock</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-16355">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16355" class="permalink" rel="bookmark">two of the biggest ISP&#039;s</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>two of the biggest ISP's here in the philippines<br />
blocked tor recently!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16368"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16368" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  Runa
  </article>
    <div class="comment-header">
      <p class="comment__submitted">Runa said:</p>
      <p class="date-time">June 29, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-16355" class="permalink" rel="bookmark">two of the biggest ISP&#039;s</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-16368">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16368" class="permalink" rel="bookmark">Please email</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please email <a href="mailto:help@rt.torproject.org" rel="nofollow">help@rt.torproject.org</a> with some more information about this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-16378"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16378" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to Runa</p>
    <a href="#comment-16378">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16378" class="permalink" rel="bookmark">I use Tor over a years and I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I use Tor over a years and I find it almost perfectly,<br />
but suddenly,<br />
after ISP upgrades or doing some activities/maintenance<br />
on their system.. .<br />
it stuck on 10% handshakes mybe some on 25%..</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-16473"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16473" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 08, 2012</p>
    </div>
    <a href="#comment-16473">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16473" class="permalink" rel="bookmark">We need an official Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We need an official Tor discussion forum.</p>
<p>I didn't see this issue mentioned in Roger's *latest* notes post, <b>so for now, mature adults should visit and post at one or both of these unofficial tor <i>discussion forums</i>, </b>these tinyurl's will take you to:</p>
<p><strong>** HackBB:</strong><br />
<a href="http://www.tinyurl.com/hackbbonion" rel="nofollow">http://www.tinyurl.com/hackbbonion</a></p>
<p><strong>** Onion Forum 2.0</strong><br />
<a href="http://www.tinyurl.com/onionforum2" rel="nofollow">http://www.tinyurl.com/onionforum2</a></p>
<p>Each tinyurl link will take you to a hidden service discussion forum. Tor is required to visit these links, even though they appear to be on the open web, they will lead you to .onion sites.</p>
<p>I know the Tor developers can do better, but how many years are we to wait?</p>
<p><cite>Caution: some topics may be disturbing. You should be eighteen years or older. I recommend you disable images in your browser when viewing these two forums[1] and only enabling them if you are posting a message, but still be careful! Disable javascript and cookies, too.</cite></p>
<p>If you prefer to visit the hidden services <i>directly</i>, bypassing the tinyurl service:</p>
<p><b>HackBB:</b> (directly)<br />
<a href="http://clsvtzwzdgzkjda7.onion/" rel="nofollow">http://clsvtzwzdgzkjda7.onion/</a></p>
<p><b>Onion Forum 2.0:</b> (directly)<br />
<a href="http://65bgvta7yos3sce5.onion/" rel="nofollow">http://65bgvta7yos3sce5.onion/</a></p>
<p>The tinyurl links are provided as a simple means of memorizing the hidden services via a link shortening service (tinyurl.com).</p>
<p>[1]: Because any content can be posted! Think 4chan, for example. onionforum2 doesn't appear to be heavily moderated so be aware and take precautions.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17318"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17318" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 12, 2012</p>
    </div>
    <a href="#comment-17318">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17318" class="permalink" rel="bookmark">It&#039;s not just Ethiopia. </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's not just Ethiopia.  There is an American pet forum, itchmoforums, linked to a blog that launched a legendary Internet empire.  Here is the the blog ownership data. The owner is well-known:</p>
<p><a href="http://www.ewhois.com/itchmo.com/" rel="nofollow">http://www.ewhois.com/itchmo.com/</a></p>
<p>In spite of this web potentate's proclamations of opposition to 'censorship' and drama queen antics condemning SOPA, his pet forum instituted the most oppressive brand of censorship I have ever seen on the Internet.  His mostly middle-aged female forum members were censored for the mildest jokes and any posting deemed 'political' by his moderators.  If they followed the site's many conduct rules and yet expressed opinions out of lockstep with the site owner's moderators, subtly cruel forms of social engineering were used to make participation noxious.  </p>
<p>Anyone with a glimmering of personality and sense of justice eventually left the forum, though their sincere efforts to communicate there must have driven up site stats and superficial popularity for awhile,  allowing the site owner to prosper and launch his cheesy little LOL empire.</p>
<p>The forum somehow now blocks Tor IP's, in spite of seeming to  allow naive Internet users to to post there anonymously.  I have my own suspicions about the agenda involved, but that is not relevant to the hypocrisy of the site owner in toting the free speech line yet blocking anonymous opinions from being expressed freely.  The only real goal seems to be making money in these cases of Tor-blocking.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17572"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17572" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 01, 2012</p>
    </div>
    <a href="#comment-17572">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17572" class="permalink" rel="bookmark">Hmm, there appears to be</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hmm, there appears to be some difficulties with all the 1st link, because it returns a 404 error</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
